View Issue Details

IDProjectCategoryView StatusLast Update
0004820Talerbank (demonstrator)public2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004820: clean up and refactor bank code
DescriptionLooks like some cruft has accumulated in the bank, we should work towards making the code base cleaner/more readable.
TagsNo tags attached.

Activities

Florian Dold

2016-11-28 11:19

manager   ~0011548

Last edited: 2016-11-28 11:28

View 2 revisions

Issues are:
- code organization is still kinda disorganized
- error handling is inconsistent
- we use tuples and generally not very nice APIs internally

Florian Dold

2016-11-28 11:20

manager   ~0011549

There also is a lot of dead code and code that can be simplified.

Marcello Stanisci

2016-12-05 22:01

manager   ~0011568

FYI: none of the bank's branches can now work on my env.taler.net setup.

Florian Dold

2017-01-13 15:01

manager   ~0011632

Fixed these issues in commits af104fce9..632f19633

The bank's source code is now significantly smaller.

Issue History

Date Modified Username Field Change
2016-11-28 11:14 Florian Dold New Issue
2016-11-28 11:14 Florian Dold Status new => assigned
2016-11-28 11:14 Florian Dold Assigned To => Marcello Stanisci
2016-11-28 11:19 Florian Dold Note Added: 0011548
2016-11-28 11:19 Florian Dold Assigned To Marcello Stanisci => Florian Dold
2016-11-28 11:20 Florian Dold Note Added: 0011549
2016-11-28 11:28 Florian Dold Note Edited: 0011548 View Revisions
2016-11-28 13:21 Christian Grothoff Severity minor => tweak
2016-12-05 22:01 Marcello Stanisci Note Added: 0011568
2017-01-13 15:01 Florian Dold Status assigned => resolved
2017-01-13 15:01 Florian Dold Resolution open => fixed
2017-01-13 15:01 Florian Dold Note Added: 0011632
2017-01-16 10:21 Christian Grothoff Product Version => SVN HEAD
2017-01-16 10:21 Christian Grothoff Fixed in Version => 0.3
2017-01-16 10:21 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed